org.apache.ignite.spi.indexing

## Interface IndexingQueryFilter

All Known Implementing Classes:
  IndexingQueryFilterImpl

    public interface IndexingQueryFilter

Cache entry filter.

### Method Summary

All Methods Instance Methods Abstract Methods
`IndexingQueryCacheFilter` `forCache(String cacheName)` Creates optional predicate for cache.

### Method Detail

#### forCache

    @Nullable
    IndexingQueryCacheFilter forCache(String cacheName)

Creates optional predicate for cache.

Parameters:
  `cacheName` - Cache name.
Returns:
  Predicate or `null` if no filtering is needed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019